%global _empty_manifest_terminate_build 0

Name:		python-pycryptodomex
Version:	3.9.7
Release:	1
Summary:	Cryptographic library for Python
License:	BSD, Public Domain, Apache
URL:		https://www.pycryptodome.org
Source0:	https://files.pythonhosted.org/packages/7f/3c/80cfaec41c3a9d0f524fe29bca9ab22d02ac84b5bfd6e22ade97d405bdba/pycryptodomex-3.9.7.tar.gz

%description
PyCryptodome is a self-contained Python package of low-level cryptographic primitives.
PyCryptodome is a fork of PyCrypto. It brings several enhancements with 
respect to the last official version of PyCrypto (2.6.1). 
PyCryptodome is not a wrapper to a separate C library like *OpenSSL*. 
To the largest possible extent, algorithms are implemented in pure Python. 
Only the pieces that are extremely critical to performance (e.g. block ciphers) 
are implemented as C extensions.

%package -n python3-pycryptodomex
Summary:	Cryptographic library for Python
Provides:	python-pycryptodomex
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-cffi
BuildRequires:	gcc
BuildRequires:	gdb
%description -n python3-pycryptodomex
PyCryptodome is a self-contained Python package of low-level cryptographic primitives.
PyCryptodome is a fork of PyCrypto. It brings several enhancements with 
respect to the last official version of PyCrypto (2.6.1). 
PyCryptodome is not a wrapper to a separate C library like *OpenSSL*. 
To the largest possible extent, algorithms are implemented in pure Python. 
Only the pieces that are extremely critical to performance (e.g. block ciphers) 
are implemented as C extensions.

%package help
Summary:	Development documents and examples for pycryptodomex
Provides:	python3-pycryptodomex-doc
%description help
PyCryptodome is a self-contained Python package of low-level cryptographic primitives. 
PyCryptodome is a fork of PyCrypto. It brings several enhancements with 
respect to the last official version of PyCrypto (2.6.1). 
PyCryptodome is not a wrapper to a separate C library like *OpenSSL*. 
To the largest possible extent, algorithms are implemented in pure Python. 
Only the pieces that are extremely critical to performance (e.g. block ciphers) 
are implemented as C extensions.

%prep
%autosetup -n pycryptodomex-3.9.7

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-pycryptodomex -f filelist.lst
%dir %{python3_sitearch}/*

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Wed May 20 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
